--local ADDON_NAME, ns = ...

local _G = _G

local AngleStatusBarMixin = {}
_G.AngleStatusBarMixin = AngleStatusBarMixin

function AngleStatusBarMixin:OnPreLoad()
    _G.print("PreLoad")
    self.setAngle:Play()
end
function AngleStatusBarMixin:OnPostShow()
    _G.print("PostShow")
end
function AngleStatusBarMixin:OnPreSizeChanged(width, height)
    _G.print("PreSizeChanged", width, height)
    width = _G.floor(width + 0.5)
    self.bar:SetHeight(width * 0.63)
end

local table = _G.other and {1,2,3}
table.key = "value"
